Kerbal Space Program - Bug #1191

Case sensitivity of Flags folder
08/07/2013 04:35 PM - MacTee

Status: Closed Start date: 08/07/2013
Severity: Very Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.21.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

| have added some Flags to my own folder in GameData (KSP_lInstall/GameData/myflags/flags) but they don't show up in the flag
selection. After a few minutes of confusion i figured out that the folder must have a uppercase F
(KSP_Install/GameData/myflags/Flags).

Just a rename later the flags show up in the flag selection.

To reproduce:

1. just rename the flags folder in GameData/Squad/Flags to GameData/Squad/flags.
2. start the KSP, and start a new Game.

3. look at the flag selection ... no more vanilla flags.

I think you will have the same problem with the other folder like Parts, Sounds, ...

My guess is that there is just a simple string compare for the path checks.
This could be resolved just by adding a ToLower() to both sides (strings) of the string compare.

History

#1 - 08/16/2013 08:02 AM - Ted
- Category set to Parts

- Severity changed from Low to Very Low

#2 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/17/2016 10:21 PM - Claw

- Status changed from Needs Clarification to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

- Platform deleted (Win32)

Confirmed, 1.1.3

#6 - 11/11/2016 12:41 PM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This is fixed in 1.2
#7 - 11/14/2016 10:18 AM - JPLRepo

- Status changed from Resolved to Closed
